<template>
	<view class="check">
		<view class="cbox">
			<view class="chtop flexc">
				<image :src="line"></image>
				<view>车辆信息</view>
			</view>
			<view class="chmain">
				<view class="upbox" @click="getaddImage">
					<image :src="baseUrl+user.front" class="img" v-if="user.front"></image>
					<image :src="car" class="addimg"></image>
					<view>拍摄车辆照片自动识别</view>
				</view>
				<uni-forms ref="form" :model="user">
				  <uni-forms-item label="车牌号码" name="realName">
					  <uni-easyinput v-model="user.realName" disabled :inputBorder='false' placeholder="自动识别" />
				  </uni-forms-item>
					<uni-forms-item label="来访门户" name="phonenumber">
					  <uni-easyinput v-model="user.phonenumber" :inputBorder='false' placeholder="请输入门户号" />
					</uni-forms-item>
					<uni-forms-item label="手机号码" name="phonenumber">
					  <uni-easyinput v-model="user.phonenumber" :inputBorder='false' placeholder="请输入手机号码" />
					</uni-forms-item>
				</uni-forms>
				<view class="rhbtn mt63" @click="getNext">确定添加</view>
			</view>
		</view>
		<loading></loading>
	</view>
</template>

<script>
	import config from '@/config'
	import { checkPermi, checkRole } from "@/utils/permission"; // 权限判断函数
	import {uploadIdentify} from '@/utils/common.js'
	export default{
		components:{},
		data(){
			return{
				line:require('@/work/static/car/line.png'),
				car:require('@/work/static/car/carico.png'),
				baseUrl:config.baseUrl,
				user:{
					realName:'',
					idCard:'',
					address:'',
					expirationDate:'',
					phonenumber:this.$store.state.user.phonenumber,
					front:'',
					back:'',
				},
			}
		},
		onLoad: function() {
		
		},
		methods:{
			checkPermi, checkRole,
			getaddImage(e){
				let that = this;
				// var rs=['D:\\idcard.png']
				// if(rs&&rs.length>0){
				// 	var obj={
				// 		type:e,
				// 		// url:baseUrl+rs.join(',')
				// 		url:rs.join(',')
				// 	}
				// 	that.getOcrIdCard(obj)
				// }
				// return
				let file =[],count=9
				uni.chooseImage({
					count: 1,
					success:function(res){
						let img= res.tempFilePaths;
						if(img.length + file.length > count){
							uni.showToast({
								title: '最多上传'+count+'张图片',
								icon: 'none',
								duration: 2000
							})
						}else{
							let imglen = res.tempFilePaths.length;
							var fuwufile = [];
							uploadIdentify('/common/upload',img,0,0,0,imglen,fuwufile,function(rs){
								var resurl=rs[0];
								if(e=='front'){
									that.user.front=resurl.fileName;
								}else{
									that.user.back=resurl.fileName;
								}
								if(rs&&rs.length>0){
									var obj={
										type:e,
										url:resurl.urlOnline
									}
									that.getOcrIdCard(obj)
								}
							})	
						}
					}
				});
			},
			getOcrIdCard(obj){
				var params={
					image:obj.url,
					idCardSide:obj.type
				}
				getOcrIdCard(params).then(res=>{
					if(res.code==200){
						var user=res.data;
						if(obj.type=='front'){
							this.user.realName=user.realName;
							this.user.idCard=user.idCard;
							this.user.address=user.address;
						}else{
							this.user.expirationDate=user.expirationDate
						}
					}
				})
			}
		}
	}
</script>
<style>
	page{background: #F3F3F0;}
</style>
<style lang="scss" scoped>
.check /deep/ .uni-forms-item{min-height: 106rpx;box-sizing: border-box;display: flex;align-items: center;margin-bottom: 0;border-bottom: 2rpx solid #E6E6E6;padding:10rpx 0;}
.check /deep/ .uni-forms-item__label{font-weight: bold;font-size: 26rpx;color: #222327;flex: 0 0 auto;width: auto !important;}
.check /deep/ .uni-easyinput{flex: 1;text-align: right;font-size: 26rpx;color: #222327;}
.check /deep/ .uni-easyinput__content-textarea{min-height: 40rpx;font-size: 26rpx;}
.check /deep/ .uni-easyinput__placeholder-class{font-size: 26rpx;color: #AAAAAA;}
.check /deep/ .uni-input-input{font-size: 26rpx;}
.check /deep/ .uni-textarea-textarea{font-size: 26rpx;}
.check /deep/ .is-disabled{color: #222327;background-color: #ffffff !important;}
.check{min-height: 100vh;padding: 20rpx 24rpx 24rpx;box-sizing: border-box;display: flex;box-sizing: border-box;}
.cbox{background: #FFFFFF;border-radius: 20rpx;flex: 1;padding-bottom: 32rpx;
	.chtop{padding-top: 32rpx;margin-bottom: 32rpx;
		image{width: 14rpx;height: 48rpx;margin-right: 20rpx;}
		view{font-weight: bold;font-size: 32rpx;color: #272727;}
	}
	.chmain{
		padding: 0 24rpx;
		.upbox{height: 224rpx;background: #EFF4FF;border-radius: 20rpx;display: flex;align-items: center;justify-content: center;flex-direction: column;margin-bottom: 8rpx;overflow: auto;
			.img{width: 100%;height: 100%;}
			.addimg{width: 70rpx;height: 70rpx;margin-bottom: 16rpx;}
			view{font-weight: bold;font-size: 26rpx;color: #4C6686;}
		}
	}
	
}
</style>